// variables
$base-color: #141414;
$base-font-family: 'BR Firma Regular', sans-serif;

::-webkit-scrollbar {
    width: 3px;
}

/* Track */
::-webkit-scrollbar-track {
    display: none;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #C4C7D2;
    border-radius: 1.5px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #C4C7D2;
    border-radius: 1.5px;
}

#order-tracking {
    height: 770px;
    background-color: #9cc0f9;
    position: relative;
    font-family: $base-font-family;
    font-size: 14px;
    overflow: hidden;

    google-map {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
    }

    .tracking-info {
        position: absolute;
        top: 45px;
        left: 185px;
        // min-height: 203px;
        max-height: 460px;
        overflow: hidden;
        width: calc(453px - 4rem);
        max-width: 100%;
        border-radius: 10px;
        background: rgba(255, 255, 255, 0.8);
        padding: 2rem;

        &_title1 {
            color: $base-color !important;
            font: normal normal 500 20px/25px $base-font-family;
            letter-spacing: 0px;
            text-align: left;
            margin-bottom: 30px;
        }

        &_subtitle1 {
            font: normal normal 500 12px/15px $base-font-family;
            letter-spacing: 0px;
            text-align: left;
            color: $base-color !important;
            padding-bottom: 9px;
        }

        &_title2 {
            font: normal normal 500 20px/25px $base-font-family;
            text-align: left;
            color: #32353E !important;
            padding-bottom: 3px;
        }

        &_subtitle2 {
            font: normal normal 500 10px/13px $base-font-family;
            text-align: left;
            color: #979797 !important;
            padding-bottom: 9px;
        }

        &_title3 {
            font: normal normal 600 14px/16px $base-font-family;
            text-align: left;
            letter-spacing: 0.02em;
            color: #141424 !important;
            padding-bottom: 3px;
        }

        &_subtitle3 {
            display: none;
            font: normal normal 500 12px/15px $base-font-family;
            text-align: left;
            color: #7987A1 !important;
            padding-bottom: 9px;
        }

        &_input {
            box-sizing: border-box;
            width: 316px;
            height: 50px;
            background: #FFFFFF;
            border: 2px solid #C0CCDA;
            border-radius: 5px;
            padding: 0 19px;
            margin-bottom: 1rem;
            outline: none;
        }

        &_stepper {
            padding-left: 2.6rem;
            overflow: auto;
            margin-top: 31px;

            .stepper_track-item {
                display: flex;
                flex-direction: column;
                position: relative;
                padding-bottom: 60px;

                & span:nth-child(2) {
                    font: normal normal 600 14px/18px $base-font-family;
                    color: #32353E;
                    margin-bottom: 4px;
                }

                & span:nth-child(3) {
                    font: normal normal 500 12px/15px $base-font-family;
                    color: #7987A1;
                }

                &:not(:first-child) .tracking-dot.item-success::before {
                    border-left: 2px dashed #0FBD70;
                }

                &:not(:first-child) .tracking-dot::before {
                    content: "";
                    border-left: 2px dashed #7987A1;
                    height: 64px;
                    position: absolute;
                    left: 11px;
                    bottom: 35px;
                }

                .tracking-dot {
                    position: absolute;
                    background: transparent;
                    border-radius: 50px;
                    left: -42px;
                    top: 5px;
                }
            }
        }

        .delivery-person-info {
            width: calc(337px - 60px);
            height: 60px;
            background: #FFFFFF;
            border-bottom: 1px solid #C0CCDA;
            display: flex;
            align-items: center;
            padding: 0 30px;

            &_avatar {
                width: 42px;
                height: 42px;
                border-radius: 50px;
            }
        }

    }

}

@media screen and (max-width:900px) {
    #order-tracking {
        display: flex;
        justify-content: center;
        align-items: center;

        .tracking-info {
            position: relative;
            top: 0;
            left: 0;
        }
    }
}